companion_proxy_client_free
companion_proxy_client_new
companion_proxy_client_start_service
companion_proxy_client_t
companion_proxy_device_event_cb_t
companion_proxy_error_t
companion_proxy_get_device_registry
companion_proxy_get_value_from_registry
companion_proxy_receive
companion_proxy_send
COMPANION_PROXY_SERVICE_NAME
companion_proxy_start_forwarding_service_port
companion_proxy_start_listening_for_devices
companion_proxy_stop_forwarding_service_port
companion_proxy_stop_listening_for_devices

## companion_proxy_client_start_service()

LIBIMOBILEDEVICE_API companion_proxy_error_t companion_proxy_client_start_service | ( | idevice_t | device,
|  | companion_proxy_client_t * | client,
|  | const char * | label )

Starts a new companion_proxy service on the specified device and connects to it.

Parameters

  device | The device to connect to.
  client | Pointer that will point to a newly allocated companion_proxy_client_t upon successful return. Must be freed using companion_proxy_client_free() after use.
  label | The label to use for communication. Usually the program name. Pass NULL to disable sending the label in requests to lockdownd.

Returns
  COMPANION_PROXY_E_SUCCESS on success, or an COMPANION_PROXY_E_* error code otherwise.